Execute Workflow by ID
curl --request POST \
--url https://{api-address}.org.machina.gg/workflow/executor/id/{id} \
--header 'Content-Type: application/json' \
--header 'x-api-token: <api-key>' \
--data '
{
"skip_delay": false,
"input": {},
"context-workflow": {}
}
'import requests
url = "https://{api-address}.org.machina.gg/workflow/executor/id/{id}"
payload = {
"skip_delay": False,
"input": {},
"context-workflow": {}
}
headers = {
"x-api-token": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-token': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({skip_delay: false, input: {}, 'context-workflow': {}})
};
fetch('https://{api-address}.org.machina.gg/workflow/executor/id/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": 123,
"data": {}
}Workflows
Execute Workflow by ID
Trigger a workflow run by its unique ID.
POST
/
workflow
/
executor
/
id
/
{id}
Execute Workflow by ID
Authorizations
API key authentication
Path Parameters
Unique ID of the workflow to execute
Body
application/json
⌘I

